Subject: Re: bug#62453: 30.0.50; Semicolon in view-lossage yields wrong alignment

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 Mar 2023 11:11:06 -0400

> Stefan, any better ideas?  It looks like relying on comment-indent is
> quite fragile here,

Agreed.

> as keys can include a semi-colon, which will be
> interpreted as beginning a comment in too many places.  I wonder
> whether the two extra bindings I add below really plug all the holes.

Here's another problem:

     C-x 5 2		 ;; make-frame-command
     ;; handle-switch-frame
     <help-echo> <help-echo> ;; handle-switch-frame
     ;; handle-switch-frame
     ;; handle-switch-frame
     ;; handle-switch-frame
     ;; handle-switch-frame
     ;; handle-switch-frame
     ;; handle-switch-frame
     C-			; ;; nil
     ; ;; self-insert-command
     C-h l ;; view-lossage

I'm not sure why there's no `switch-frame` event but it absence leads to
incorrectly indenting the `;; handle-switch-frame`.

We're probably better off indenting "by hand".

        Stefan